buildCount.BigBang {galgo} | R Documentation

## Builds the rank and frequency stability counting

### Description

Builds the rank and frequency stability counting.

### Usage

    ## S3 method for class 'BigBang'
    buildCount(o, filter="none", subset=TRUE, maxCounts=o$maxCounts, ...)

### Arguments

`filter` | The `BigBang` object can save information about solutions that did not reach the `goalFitness`. `filter=="solutions"` ensures that only chromosomes that reach the `goalFitness` are considered. `fitlter=="none"` take all chromosomes. `filter=="nosolutions"` consider only no-solutions (for comparative purposes).
`subset` | Second level of filter. `subset` can be a vector specifying which filtered chromosomes are used. It can be a logical vector or a numeric vector (indexes in order given by `$bestChromosomes` in `BigBang` object variable).

`maxCounts`

Controls the fine-detail in computing the rank in a way that only maxCount ranks are saved despite of the real number solutions. For 1000 solutions and maxCount of 100, the rank is saved every 10 generations. The The default value is 100. Increasing this value increase the amount of memory and time needed to compute the rank stability plot; however, the level of detail in stability is increased.

### Value

Nothing.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `BigBang`.

### Examples

    ## Not run:
       buildCount(bb, maxCounts=300)
       plot(bb, type="generankstability")

    ## End(Not run)

[Package galgo version 1.4 Index]